Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.validation
[Java] Class UniqueConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.orm.hibernate.validation.AbstractPersistentConstraint
              org.codehaus.groovy.grails.orm.hibernate.validation.UniqueConstraint

    public class UniqueConstraint
    extends AbstractPersistentConstraint

A constraint that validates the uniqueness of a property (will query the database during validation process).

Authors:
  Graeme Rocher
  Sergey Nebolsin

Since:
  0.4

Field Summary
`static java.lang.String` | `UNIQUE_CONSTRAINT`

Fields inherited from class AbstractPersistentConstraint
applicationContext

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`java.lang.String` | `getName()`
`java.util.List` | `getUniquenessGroup()`
`boolean` | `isUnique()` @return Returns the unique.
`boolean` | `isUniqueWithinGroup()` @return Whether the property is unique within a group
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`
`boolean` | `supports(java.lang.Class type)`

Methods inherited from class AbstractPersistentConstraint
getHibernateTemplate, setApplicationContext, validate

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getPropertyName, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Field Detail

### UNIQUE_CONSTRAINT

    public static final java.lang.String UNIQUE_CONSTRAINT

Method Detail

### getName

    public java.lang.String getName()

### getUniquenessGroup

    public java.util.List getUniquenessGroup()

### isUnique

    public boolean isUnique()

  Returns:
    Returns the unique.

### isUniqueWithinGroup

    public boolean isUniqueWithinGroup()

  Returns:
    Whether the property is unique within a group

### processValidate

    @Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)

### setParameter

    @Override
    public void setParameter(java.lang.Object constraintParameter)

### supports

    @SuppressWarnings("rawtypes")
    public boolean supports(java.lang.Class type)

Groovy Documentation